[Xfce4-commits] <thunar:master> Print an error if thunar-settings fails (bug #6547).
Jannis Pohlmann
noreply at xfce.org
Sat Nov 13 18:00:01 CET 2010
Updating branch refs/heads/master
to 1a1d3f435bdc692b18f609e59796d596c5d9315c (commit)
from cd913e51a2611e847a3dbff048195a22670bed49 (commit)
commit 1a1d3f435bdc692b18f609e59796d596c5d9315c
Author: Jannis Pohlmann <jannis at xfce.org>
Date: Sat Nov 13 17:59:24 2010 +0100
Print an error if thunar-settings fails (bug #6547).
NEWS | 2 ++
thunar/thunar-settings | 14 ++++++++++----
2 files changed, 12 insertions(+), 4 deletions(-)
diff --git a/NEWS b/NEWS
index a5c02c2..819adc6 100644
--- a/NEWS
+++ b/NEWS
@@ -7,6 +7,8 @@
dialog (bug #3055).
- Expand filenames starting with './' based on the current working
directory instead of home (bug #3451).
+- Print an error if thunar-settings fails to contact the file manager
+ service (bug #6547).
1.1.4
=====
diff --git a/thunar/thunar-settings b/thunar/thunar-settings
index 2ebe02a..02b4cb0 100755
--- a/thunar/thunar-settings
+++ b/thunar/thunar-settings
@@ -1,8 +1,14 @@
#!/bin/sh
+#
+# vi:set et ai sw=2 sts=2 ts=2: */
test "x$DISPLAY" != "x" || DISPLAY=:0
-dbus-send --session --print-reply --dest=org.xfce.FileManager \
- /org/xfce/FileManager \
- org.xfce.FileManager.DisplayPreferencesDialog \
- "string:$DISPLAY" "string:$DESKTOP_STARTUP_ID" 1> /dev/null
+output=`dbus-send --session --print-reply --dest=org.xfce.FileManager \
+ /org/xfce/FileManager org.xfce.FileManager.DisplayPreferencesDialog \
+ "string:$DISPLAY" "string:$DESKTOP_STARTUP_ID"`
+
+if ! [ $? -eq 0 ]; then
+ echo $output
+ exit 1
+fi
More information about the Xfce4-commits
mailing list